%define oname breeze-grub

%define grub_name grub2

Summary:	Breeze theme for grub2
Name:		grub2-theme-breeze
Version:	5.7.2
Release:	1
License:	GPLv3+
Group:		System/Kernel and hardware
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/plasma/%{version}/%{oname}-%{version}.tar.xz
Requires(pre):	grub2 >=2.00-28
#Provides:	grub2-theme
BuildArch:	noarch

%description
This package provides Breeze theme for grub2.

%files
%dir /boot/%{grub_name}/themes/breeze
/boot/%{grub_name}/themes/breeze/*

%post
if [ $1 -eq 1 ] ; then
# Remove all previous theme from config
sed -i '/GRUB_THEME=*/d' %{_sysconfdir}/default/grub
sed -i '/GRUB_BACKGROUND=*/d' %{_sysconfdir}/default/grub
# Remove trailing blank lines from /etc/default/grub
sed -i -e :a -e '/^\n*$/{$d;N;};/\n$/ba' %{_sysconfdir}/default/grub
# Check that /etc/default/grub ends in a linefeed
[ "$(tail -n 1 %{_sysconfdir}/default/grub | wc --lines)" = "1" ] || echo >> %{_sysconfdir}/default/grub
# Add theme
echo "GRUB_THEME=\"/boot/grub2/themes/breeze/theme.txt\"" >> %{_sysconfdir}/default/grub
# Regenerate configure on install or update
%{_sbindir}/update-grub2
fi

%postun
exec > /var/log/%{grub_name}_theme_postun.log 2>&1
# Only if uninstalling theme
if [ $1 -eq 0 ]; then
# Remove theme from config
sed -i '/GRUB_THEME=\/boot\/grub2\/themes\/breeze\/theme.txt/d' %{_sysconfdir}/default/grub
fi

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build

%install
mkdir -p %{buildroot}/boot/%{grub_name}/themes/breeze
cp -r breeze/* %{buildroot}/boot/%{grub_name}/themes/breeze/

%changelog

* Thu Jul 21 2016 valerol <valerol@ya.ru> 5.7.2-1
- (70c07e0) New version 5.7.2


